ResourcePrototype (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.types.ResourcePrototype class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.types
Class ResourcePrototype

    java.lang.Object
      org.hyperic.hq.types.ResourcePrototype

    public class ResourcePrototype

extends java.lang.Object

Java class for ResourcePrototype complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ResourcePrototype">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <attribute name="name" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="id" use="required" type="{http://www.w3.org/2001/XMLSchema}int" />
         </restriction>
       </complexContent>
     </complexType>

Field Summary
`protected int` | `id`
`protected java.lang.String` | `name`

Constructor Summary
`ResourcePrototype()`

Method Summary
`int` | `getId()` Gets the value of the id property.
`java.lang.String` | `getName()` Gets the value of the name property.
`void` | `setId(int value)` Sets the value of the id property.
`void` | `setName(java.lang.String value)` Sets the value of the name property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    protected java.lang.String name

### id

    protected int id

Constructor Detail

### ResourcePrototype

    public ResourcePrototype()

Method Detail

### getName

    public java.lang.String getName()

  Gets the value of the name property.

  Returns:
    possible object is `String`

### setName

    public void setName(java.lang.String value)

  Sets the value of the name property.

  Parameters:
    `value` - allowed object is `String`

### getId

    public int getId()

  Gets the value of the id property.

### setId

    public void setId(int value)

  Sets the value of the id property.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.